[Debian-live-changes] r1966 - dists/trunk/live-helper/helpers

daniel at alioth.debian.org daniel at alioth.debian.org
Mon Jun 4 14:16:46 UTC 2007


Author: daniel
Date: 2007-06-04 14:16:46 +0000 (Mon, 04 Jun 2007)
New Revision: 1966

Added:
   dists/trunk/live-helper/helpers/lh_binary_tar
   dists/trunk/live-helper/helpers/lh_source_tar
Removed:
   dists/trunk/live-helper/helpers/lh_binary_generic
   dists/trunk/live-helper/helpers/lh_source_generic
Modified:
   dists/trunk/live-helper/helpers/lh_binary
   dists/trunk/live-helper/helpers/lh_source
Log:


Modified: dists/trunk/live-helper/helpers/lh_binary
===================================================================
--- dists/trunk/live-helper/helpers/lh_binary	2007-06-04 14:14:26 UTC (rev 1965)
+++ dists/trunk/live-helper/helpers/lh_binary	2007-06-04 14:16:46 UTC (rev 1966)
@@ -51,9 +51,9 @@
 lh_binary_md5sum ${*}
 
 # Building images
-lh_binary_hdd ${*}
 lh_binary_iso ${*}
 lh_binary_net ${*}
+lh_binary_tar ${*}
 lh_binary_usb-hdd ${*}
 
 # Deconfiguring chroot

Deleted: dists/trunk/live-helper/helpers/lh_binary_generic
===================================================================
--- dists/trunk/live-helper/helpers/lh_binary_generic	2007-06-04 14:14:26 UTC (rev 1965)
+++ dists/trunk/live-helper/helpers/lh_binary_generic	2007-06-04 14:16:46 UTC (rev 1966)
@@ -1,60 +0,0 @@
-#!/bin/sh
-
-# lh_binary_hdd(1) - build harddisk binary image
-# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
-#
-# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
-# This is free software, and you are welcome to redistribute it
-# under certain conditions; see COPYING for details.
-
-set -e
-
-# Including common functions
-LH_BASE="${LH_BASE:-/usr/share/live-helper}"
-
-for FUNCTION in "${LH_BASE}"/functions/*.sh
-do
-	. "${FUNCTION}"
-done
-
-# Setting static variables
-DESCRIPTION="build harddisk binary image"
-HELP=""
-USAGE="${PROGRAM} [--force]"
-
-Arguments "${@}"
-
-# Reading configuration files
-Read_conffile config/common
-Read_conffile config/bootstrap
-Read_conffile config/chroot
-Read_conffile config/binary
-Read_conffile config/source
-Set_defaults
-
-if ! echo "${LIVE_BINARY_IMAGES}" | grep -qs hdd
-then
-	exit 0
-fi
-
-Echo_message "Begin building binary harddisk image..."
-
-# Requiring stage file
-Require_stagefile .stage/bootstrap
-
-# Checking stage file
-Check_stagefile .stage/binary_hdd
-
-# Checking lock file
-Check_lockfile .lock
-
-# Creating lock file
-Create_lockfile .lock
-
-# Remove old binary
-rm -f binary-hdd.tar.gz
-
-tar cfz binary-hdd.tar.gz binary
-
-# Creating stage file
-Create_stagefile .stage/binary_hdd

Copied: dists/trunk/live-helper/helpers/lh_binary_tar (from rev 1965, dists/trunk/live-helper/helpers/lh_binary_generic)
===================================================================
--- dists/trunk/live-helper/helpers/lh_binary_tar	                        (rev 0)
+++ dists/trunk/live-helper/helpers/lh_binary_tar	2007-06-04 14:16:46 UTC (rev 1966)
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# lh_binary_hdd(1) - build harddisk binary image
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+	. "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="build harddisk binary image"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+if ! echo "${LIVE_BINARY_IMAGES}" | grep -qs hdd
+then
+	exit 0
+fi
+
+Echo_message "Begin building binary harddisk image..."
+
+# Requiring stage file
+Require_stagefile .stage/bootstrap
+
+# Checking stage file
+Check_stagefile .stage/binary_hdd
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Remove old binary
+rm -f binary-hdd.tar.gz
+
+tar cfz binary-hdd.tar.gz binary
+
+# Creating stage file
+Create_stagefile .stage/binary_hdd

Modified: dists/trunk/live-helper/helpers/lh_source
===================================================================
--- dists/trunk/live-helper/helpers/lh_source	2007-06-04 14:14:26 UTC (rev 1965)
+++ dists/trunk/live-helper/helpers/lh_source	2007-06-04 14:16:46 UTC (rev 1966)
@@ -43,10 +43,9 @@
 lh_source_md5sum ${*}
 
 # Building images
-lh_source_generic ${*}
-lh_source_hdd ${*}
 lh_source_iso ${*}
 lh_source_net ${*}
+lh_source_tar ${*}
 lh_source_usb-hdd ${*}
 
 # Deconfiguring chroot

Deleted: dists/trunk/live-helper/helpers/lh_source_generic
===================================================================
--- dists/trunk/live-helper/helpers/lh_source_generic	2007-06-04 14:14:26 UTC (rev 1965)
+++ dists/trunk/live-helper/helpers/lh_source_generic	2007-06-04 14:16:46 UTC (rev 1966)
@@ -1,70 +0,0 @@
-#!/bin/sh
-
-# lh_source_hdd(1) - build source harddisk image
-# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
-#
-# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
-# This is free software, and you are welcome to redistribute it
-# under certain conditions; see COPYING for details.
-
-set -e
-
-# Including common functions
-LH_BASE="${LH_BASE:-/usr/share/live-helper}"
-
-for FUNCTION in "${LH_BASE}"/functions/*.sh
-do
-	. "${FUNCTION}"
-done
-
-# Setting static variables
-DESCRIPTION="build source harddisk image"
-HELP=""
-USAGE="${PROGRAM} [--force]"
-
-Arguments "${@}"
-
-# Reading configuration files
-Read_conffile config/common
-Read_conffile config/bootstrap
-Read_conffile config/chroot
-Read_conffile config/binary
-Read_conffile config/source
-Set_defaults
-
-if [ "${LIVE_SOURCE}" != "enabled" ]
-then
-	exit 0
-fi
-
-if ! echo "${LIVE_SOURCE_IMAGES}" | grep -qs hdd
-then
-        exit 0
-fi
-
-Echo_message "Begin building source harddisk image..."
-Echo_message "This may take a while."
-
-# Requiring stage file
-Require_stagefile .stage/source_debian
-
-# Checking stage file
-Check_stagefile .stage/source_hdd
-
-# Checking lock file
-Check_lockfile .lock
-
-# Creating lock file
-Create_lockfile .lock
-
-# Remove old source
-if [ -f source-hdd.tar.gz ]
-then
-	rm -f source-hdd.tar.gz
-fi
-
-# Create tarball
-tar cfz source-hdd.tar.gz source
-
-# Creating stage file
-Create_stagefile .stage/source_hdd

Copied: dists/trunk/live-helper/helpers/lh_source_tar (from rev 1965, dists/trunk/live-helper/helpers/lh_source_generic)
===================================================================
--- dists/trunk/live-helper/helpers/lh_source_tar	                        (rev 0)
+++ dists/trunk/live-helper/helpers/lh_source_tar	2007-06-04 14:16:46 UTC (rev 1966)
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# lh_source_hdd(1) - build source harddisk image
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+	. "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="build source harddisk image"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+if [ "${LIVE_SOURCE}" != "enabled" ]
+then
+	exit 0
+fi
+
+if ! echo "${LIVE_SOURCE_IMAGES}" | grep -qs hdd
+then
+        exit 0
+fi
+
+Echo_message "Begin building source harddisk image..."
+Echo_message "This may take a while."
+
+# Requiring stage file
+Require_stagefile .stage/source_debian
+
+# Checking stage file
+Check_stagefile .stage/source_hdd
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Remove old source
+if [ -f source-hdd.tar.gz ]
+then
+	rm -f source-hdd.tar.gz
+fi
+
+# Create tarball
+tar cfz source-hdd.tar.gz source
+
+# Creating stage file
+Create_stagefile .stage/source_hdd




More information about the Debian-live-changes mailing list